# https://github.com/jorgebucaran/fisher
set -g fisher_path ~/.config/fish/fisher
set fish_function_path $fish_function_path[1] $fisher_path/functions $fish_function_path[2..-1]
set fish_complete_path $fish_complete_path[1] $fisher_path/completions $fish_complete_path[2..-1]
if not functions -q fisher
    echo "Installing fish-shell package manager: $fisher_path/functions/fisher.fish"
    curl -fsSL -o $fisher_path/functions/fisher.fish --create-dirs https://git.io/fisher
    echo "Installing fish-shell packages..."
    fish -c fisher
end
for file in $fisher_path/conf.d/*.fish
    builtin source $file 2> /dev/null
end
